set unreadCount to 0

set exlcudeMailboxes to {"Drafts", "Trash", "Sent", "Sent Messages", "Junk", "Spam", "Outbox"}

tell application "Mail"
	
	-- get mailboxes with unread count
	set mailboxesWithUnreadMessages to mailboxes of accounts whose unread count is not 0
	set localMailboxesWithUnreadMessages to every mailbox whose unread count is not 0
	
	-- loop through all accounts and mailboxes
	set returnArray to {}
	repeat with currentAccount in mailboxesWithUnreadMessages & localMailboxesWithUnreadMessages
		repeat with currentMailbox in currentAccount
			
			-- get mailbox attributes
			set mailboxName to name of currentMailbox
			set mailboxCount to unread count of currentMailbox
			
			if mailboxName is not in exlcudeMailboxes then
				
				-- increment total count
				set unreadCount to unreadCount + mailboxCount
			end if
			
		end repeat
	end repeat
	
end tell

return unreadCount
